Qt 5.6 | Qt 3D | C++ Classes | QTechnique

Qt 5.6.3 Reference Documentation

# QTechnique Class

(Qt3DRender::QTechnique)

Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Properties

- graphicsApiFilter : Qt3DRender::QGraphicsApiFilter * const

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QTechnique(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QTechnique()
void | addAnnotation(QAnnotation *criterion)
void | addParameter(QParameter *p)
void | addPass(QRenderPass *pass)
QList<QAnnotation *> | annotations() const
QGraphicsApiFilter * | graphicsApiFilter()
QList<QParameter *> | parameters() const
void | removeAnnotation(QAnnotation *criterion)
void | removeParameter(QParameter *p)
void | removePass(QRenderPass *pass)
QList<QRenderPass *> | renderPasses() const

- 6 public functions inherited from Qt3DCore::QNode

## Protected Functions

| QTechnique(QTechniquePrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)
void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 public slots inherited from Qt3DCore::QNode
- 2 signals inherited from Qt3DCore::QNode
- 1 static protected member inherited from Qt3DCore::QNode

## Property Documentation

### graphicsApiFilter : Qt3DRender::QGraphicsApiFilter * const

Access functions:

QGraphicsApiFilter * | graphicsApiFilter()

## Member Function Documentation

### QTechnique::QTechnique(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QTechnique.

### `[protected]` QTechnique::QTechnique(QTechniquePrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

Copy constructor.

### QTechnique::~QTechnique()

Destroys the instance of QTechnique.

### void QTechnique::addAnnotation(QAnnotation *criterion)

### void QTechnique::addParameter(QParameter *p)

### void QTechnique::addPass(QRenderPass *pass)

### QList<QAnnotation *> QTechnique::annotations() const

### `[protected]` void QTechnique::copy(const Qt3DCore::QNode *ref)

### QList<QParameter *> QTechnique::parameters() const

### void QTechnique::removeAnnotation(QAnnotation *criterion)

### void QTechnique::removeParameter(QParameter *p)

### void QTechnique::removePass(QRenderPass *pass)

### QList<QRenderPass *> QTechnique::renderPasses() const